{"openapi":"3.0.0","info":{"title":"Immunization-fhir-api","version":"1.0.0","license":{"name":"MIT","url":"https://opensource.org/licenses/MIT"},"description":"## Overview\n \nUse this API to access a patient's immunisation record. It is part of the [Vaccinations Data Flow Management](https://digital.nhs.uk/services/vaccinations-data-flow-management). It is intended to extend and replace [Immunisation History - FHIR API](https://digital.nhs.uk/developer/api-catalogue/immunisation-history-fhir) and existing [Vaccination](https://digital.nhs.uk/developer/api-catalogue/vaccination) flows. \n\nYou can use this API to:\n \n- create and record a patient immunisation \n- search for a patient's immunisation records\n- get the details of an immunisation record\n- update an immunisation record \n- identify an immunisation record as entered in error \n \nYou cannot use this API to:\n \n- retrieve the immunisation record of multiple patients at once \n- record or update a patient's demographic details\n \nYou can create, read, update and delete events for the following vaccination types:\n \n- coronavirus (`COVID`)\n- human papillomavirus (`HPV`)\n- herpes zoster (`SHINGLES`)\n- influenza (`FLU`)\n- measles, mumps and rubella (`MMR`)\n- measles, mumps, rubella and varicella (`MMRV`)\n- meningococcal infectious disease (`MENACWY`)\n- pertussis (`PERTUSSIS`)\n- pneumococcal infectious disease (`PNEUMOCOCCAL`)\n- respiratory syncytial virus infection (`RSV`)\n- tetanus, diphtheria and polio (`3IN1`)\n  \n### Data availability, timing and quality\n\nThis is a real-time service, constrained by the time taken for providers to transfer vaccination events. In most cases, a record will become available within 48 hours of the immunisation event.\n\nThe API search interaction will only return immunisation records based on a traced NHS number. Other interactions require the use of the immunisation ID assigned by the API to interact with individual records for read, update and delete.\n\nThe vaccination events for all disease types are limited to vaccinations administered on behalf of NHS England.\n\nThere is a limited scope of data validation upon receipt of the data. Whilst the data is generally of a good, reliable quality, consumers must be aware that data is shared as received, and users should consider the risk of potential absences or inaccuracies of the data. \n\n  \n## Who can use this API \nThis API can only be used where there is a commercial, legal and clinical basis to do so. Make sure you have a valid use case before you go too far with your development.\n\nYou must demonstrate you have a valid use case as part of digital onboarding. \n\nYou must do this before you can go live (see [Onboarding](https://digital.nhs.uk/developer/api-catalogue/immunisation-fhir-api#overview--onboarding) below).\n\n### Who can access immunisation event records\n \nHealth and care organisations in England can access immunisation event records.\n\nLegitimate direct care examples include NHS organisations delivering healthcare, local authorities delivering care, third sector and private sector health and care organisations, and developers delivering systems to health and care organisations.\n\n## API status and roadmap\nThe current roadmap includes enhancements to support all vaccines covered by the national Section 7a immunisation programme.\n \nThis API is in [Beta](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#statuses) for the following vaccine types:\n \n- respiratory syncytial virus (RSV)\n- influenza\n- human papillomavirus (HPV)\n\nThis API is in development for the following vaccine types:\n \n- Measles, Mumps and Rubella (MMR)\n- MenACWY\n- diphtheria, tetanus and polio (3-in-1)\n \nThis API will be configured to support all other section 7a vaccines from early 2026 onwards, adding support for the following vaccine types:\n \n- pneumococcal\n- shingles\n- pertussis\n- coronavirus (COVID-19) vaccinations\n- MMRV\n- diphtheria / tetanus / acellular pertussis / inactivated polio vaccine / haemophilus influenzae type b / hepatitis B (6-in-1)\n- rotavirus\n- meningococcal (MenB)\n- diphtheria / tetanus / acellular pertussis / inactivated polio vaccine (4-in-1)\n- haemophilus influenzae type b / meningococcal group C (Hib/MenC)\n- Bacillus Calmette-Gu&eacute;rin (BCG)\n- hepatitis B\n \nTo suggest new features, comment, or if you have any other queries, [contact us](https://digital.nhs.uk/developer/help-and-support).\n \n## Service level\nThis API is a Silver Plus service.\n \nFor more details, see [service levels](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#service-levels).\n \n## Technology\n \nThis API is [RESTful](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#basic-rest).\n \nIt conforms to the [FHIR](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#fhir) global standard for health care data exchange, specifically to [FHIR R4 (v4.0.1)](https://hl7.org/fhir/r4/), except that it does not support the [capabilities](http://hl7.org/fhir/R4/http.html#capabilities) interaction.\n \nIt includes some country-specific FHIR extensions, which conform to [FHIR UK Core](https://digital.nhs.uk/services/fhir-uk-core), specifically [fhir.r4.ukcore.stu2](https://simplifier.net/packages/fhir.r4.ukcore.stu2).\n \nYou do not need to know much about FHIR to use this API - FHIR APIs are just RESTful APIs that follow specific rules.\nIn particular:\n- resource names are capitalised and singular, and use US spellings, for example `/Immunization` not `/immunisations`\n- array names are singular, for example `entry` not `entries` for address lines\n- data items that are country-specific and thus not included in the FHIR global base resources are usually wrapped in an `extension` object\n \nThere are [libraries and SDKs available](https://digital.nhs.uk/developer/guides-and-documentation/api-technologies-at-nhs-digital#fhir-libraries-and-sdks) to help with FHIR API integration.\n \n## Network access\nThis API is available on the internet and, indirectly, on the [Health and Social Care Network (HSCN)](https://digital.nhs.uk/services/health-and-social-care-network).\n \nFor more details see [Network access for APIs](https://digital.nhs.uk/developer/guides-and-documentation/network-access-for-apis).\n \n## Security and authorisation\n \nThis API currently has a single access mode: [application-restricted access](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#application-restricted-apis), meaning we authenticate the calling application but not the end user.\n \nTo use this access mode, use the following security pattern:\n- [Application-restricted RESTful API - signed JWT authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication) \n\n## Errors\nWe use standard HTTP status codes to show whether an API request succeeded or not. They are usually in the range:\n\n* 200 to 299 if it succeeded, including code 202 if it was accepted by an API that needs to wait for further action\n* 400 to 499 if it failed because of a client error by your application\n* 500 to 599 if it failed because of an error on our server\n\nErrors specific to each API are shown in the Endpoints section, under Response. See our [reference guide](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#http-status-codes) for more on errors.\n\n## Open source\n\nYou might find the following [open source](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#open-source) resources useful:\n\n| Resource                  | Description                                                          | Links                                                                          |\n|---------------------------|----------------------------------------------------------------------|--------------------------------------------------------------------------------|\n| Immunisation FHIR API     | Source code for the API proxy, sandbox and specification.            | [GitHub repo](https://github.dev/NHSDigital/immunisation-fhir-api/) |\n| FHIR libraries and SDKs   | Various open source libraries for integrating with FHIR APIs.        | [FHIR libraries and SDKs](https://digital.nhs.uk/developer/guides-and-documentation/api-technologies-at-nhs-digital#fhir-libraries-and-sdks) |\n| nhs-number                | Python package containing utilities for NHS numbers including validity checks, normalisation and generation. | [GitHub repo](https://github.com/uk-fci/nhs-number) \\| [Python Package index](https://pypi.org/project/nhs-number/) \\| [Docs](https://nhs-number.uk-fci.tech/) |\n\n## Environments and Testing\n| Environment       | Base URL                                                              |\n| ----------------- | --------------------------------------------------------------------- |\n|  Sandbox          | `https://sandbox.api.service.nhs.uk/immunisation-fhir-api/FHIR/R4`            |\n|  Integration      | `https://int.api.service.nhs.uk/immunisation-fhir-api/FHIR/R4`                |          \n|  Production       | `https://api.service.nhs.uk/immunisation-fhir-api/FHIR/R4`                    |\n\n### Sandbox testing\nOur [sandbox environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#sandbox-testing):\n* is for early developer testing\n* only covers a limited set of scenarios\n* is stateless, so does not actually persist any updates\n* is open access, so does not allow you to test authorisation\n\nFor details of sandbox test scenarios, or to try out the sandbox using our 'Try this API' feature, see the documentation for each endpoint.\n\n### Integration testing\nOur [integration test environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#integration-testing):\n* is for formal integration testing\n* is stateful, so persists updates\n* includes authorisation, with options for application-restricted access     \n\nFor read-only testing, we will provide an Immunisation records test pack soon.\n\nTo test creating, updating and deleting patient vaccination events, you must set up your own test data.\n\nFor more details see [integration testing with our RESTful APIs](https://digital.nhs.uk/developer/guides-and-documentation/testing#integration-testing-with-our-restful-apis).\n\n## Onboarding\n  \nYou need to get your software approved by us before it can go live with this API.\nWe call this onboarding.\nThe onboarding process can sometimes be quite long, so it's worth planning well ahead.\n\nThis API is currently in private Beta, but we expect to open it to new consumers soon. As part of this process, you need to demonstrate that you can manage risks and that your software conforms technically with the requirements for this API. Information on this page might impact the design of your software.\n\nTo understand how our online digital onboarding process works, see [digital onboarding](https://digital.nhs.uk/developer/guides-and-documentation/digital-onboarding#using-the-digital-onboarding-portal).\n## Contact us\nFor help and support connecting to our APIs and to join our developer community, see [Help and support building healthcare software](https://digital.nhs.uk/developer/help-and-support).\n"},"servers":[{"url":"https://sandbox.api.service.nhs.uk/immunisation-fhir-api/FHIR/R4","description":"Sandbox Server"},{"url":"https://int.api.service.nhs.uk/immunisation-fhir-api/FHIR/R4","description":"Integration Server"}],"paths":{"/Immunization":{"post":{"summary":"Record a vaccination given to a patient","operationId":"createImmunization","description":"## Overview\nUse this interaction to record the administration of a vaccination.  The immunization resource must include a targetDisease(s) matching the disease types enabled in this interaction and represented by the correct SNOMED concept(s) for that disease type. A [code list](https://digital.nhs.uk/developer/guides-and-documentation/building-healthcare-software/vaccinations/coding-for-vaccination-disease-types#how-this-applies-to-vaccinations-submitted-to-the-api) is provided for supported disease types.  \n\nYou must be authorised for the create interaction and the disease type associated with the vaccination event in order to submit a new record. \n\n## Sandbox testing\nYou can test the following scenarios in our sandbox environment:\n\n| Scenario                                | Request                                                                                                                                                         | Response                                                                |\n| ----------------------------------------| ----------------------------------------------------------------------------------------------------------------------------------------------------------------| ------------------------------------------------------------------------|\n|                                         |                                                                                                                                                                 |                                                                         |\n |  Record a vaccination event            |  Valid request as per schema                                                                                            | HTTP Status 201 with immunisation id in response header (location)                 |\n|  Bad Request (missing/invalid required element in request body)      | Didn't pass `resourceType`  in request body          |               HTTP Status   400 Bad Request               |\n","parameters":[{"$ref":"#/components/parameters/CorrelationID"},{"$ref":"#/components/parameters/RequestID"}],"requestBody":{"content":{"application/fhir+json":{"schema":{"description":"A FHIR Immunization resource.","type":"object","required":["resourceType","contained","extension","identifier","status","vaccineCode","patient","occurrenceDateTime","recorded","primarySource","location","performer","protocolApplied"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Immunization`.","type":"string","example":"Immunization"},"meta":{"type":"object","description":"Metadata about the resource.","properties":{"versionId":{"type":"string","pattern":"[A-Za-z0-9\\-\\.]{1,64}","description":"The version specific identifier, as it appears in the version portion of the URL. This value changes when the resource is created, updated, or deleted."},"lastUpdated":{"type":"string","pattern":"([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))","description":"When the resource last changed - e.g. when the version changed.","example":"2017-01-01T00:00:00Z"},"source":{"type":"string","description":"A uri that identifies the source system of the resource. This provides a minimal amount of [Provenance](provenance.html#) information that can be used to track or differentiate the source of information in the resource. The source may identify another FHIR server, document, message, database, etc."},"profile":{"type":"array","items":{"type":"string","pattern":"\\S*","description":"A list of profiles (references to [StructureDefinition](structuredefinition.html#) resources) that this resource claims to conform to. The URL is a reference to [StructureDefinition.url](structuredefinition-definitions.html#StructureDefinition.url)."}},"security":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}},"tag":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}}}},"contained":{"type":"array","description":"Includes any relevant resources as defined within this specification and referenced from within the resource. A patient resource SHALL be included.  \nThe schema for Practitioner & Patient are different.","minItems":1,"items":{"oneOf":[{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR resource type. Always `Practitioner`.","enum":["Practitioner"]},"id":{"type":"string","description":"Logical id of this artifact"},"name":{"type":"array","description":"The name(s) associated with the practitioner","items":{"type":"object","properties":{"family":{"type":"string","maxLength":35,"description":"Family name (often called 'Surname'). Maximum length 35 characters."},"given":{"type":"array","description":"Given names (not always 'first'). Maximum length 180 characters.","items":{"type":"string","maxLength":180}}}}}},"required":["resourceType","id"]},{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR resource type. Always `Patient`.","enum":["Patient"]},"id":{"type":"string","description":"Logical id of this artifact","example":"#Pat1"},"identifier":{"type":"array","description":"An identifier for the patient","items":{"type":"object","properties":{"system":{"type":"string","description":"The namespace for the identifier value"},"value":{"type":"string","description":"The value that is unique.  \nThis SHALL be populated if `system` is https://fhir.nhs.uk/Id/nhs-number."}}}},"name":{"type":"array","description":"Patient name as registered, or as recorded by the user where the patient record cannot be traced. \nThere SHOULD be only one instance of name. If more than one name instance is provided additional elements SHOULD be populated only so the current, official name can be determined or otherwise the current, official name SHALL be the first name instance. There SHALL be at least one name instance with both family and given elements populated.","items":{"type":"object","properties":{"family":{"type":"string","maxLength":35,"description":"Family name (often called 'Surname')"},"given":{"type":"array","description":"Patient Forename. Middle names are not to be included within this field.  \nThere SHOULD only be one given name supplied in this element. Maximum length 180 characters.","items":{"type":"string","maxLength":180}}},"required":["family","given"]}},"gender":{"type":"string","description":"male | female | other | unknown"},"birthDate":{"type":"string","description":"The date of birth for the individual"},"address":{"type":"array","description":"There SHOULD be only one instance of address with only the postalCode element populated. If more than one address instance is provided the additional elements SHOULD be populated only so the current, home post code can be determined or otherwise the current, home post code SHALL be the first address instance.","items":{"type":"object","properties":{"postalCode":{"type":"string","description":"Patient residential/home postcode. Value should be divided into two parts separated by a single space, e.g. EC1A 1BB  \nAs well as actual post codes, the following SHOULD be used in other scenarios.  \n    *ZZ99 3VZ No Fixed Abode  \n   *ZZ99 3WZ Address Not Known  \n    *ZZ99 3CZ (England/UK) Address not otherwise specified  \nThe full list is available here: https://www.england.nhs.uk/wp-content/uploads/2020/04/cam-2021-guidance-v2.1.pdf"}},"required":["postalCode"]}}},"required":["resourceType","id","name","gender","birthDate","address"]}]}},"extension":{"description":"FHIR extension wrapper for the vaccination procedure performed. Always contains exactly one object.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["url","valueCodeableConcept"],"properties":{"url":{"description":"URI for the type of extension - https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure","type":"string","example":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure"},"valueCodeableConcept":{"description":"This SHALL be populated with the appropriate SNOMED CT code (identified by system=http://snomed.info/sct).  \nThis relates to the vaccine that was administered, typically in the form of a procedure code. The UK Core IG provides guidance on codes for this extension, but the provider SHALL ensure the appropriate code and term is provided.  \nAdditional coding MAY be included provided it is semantically equivalent to the SNOMED concept.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccination procedure coding.","type":"array","items":{"type":"object","required":["system","code"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"A particular code in the system.","type":"string","example":"1303503001"},"display":{"description":"Representation defined by the system.","type":"string","example":"Administration of RSV (respiratory syncytial virus) vaccine"}}}},"text":{"description":"Plain text representation of the concept.","type":"string"}}}}}},"identifier":{"description":"A unique identifier assigned to this immunization record. Only one identifier SHALL be provided.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","value"],"properties":{"use":{"description":"Identifier use as defined by https://www.hl7.org/fhir/valueset-identifier-use.html.","type":"string","enum":["usual","official","temp","secondary","old"],"example":"official"},"system":{"description":"A URI for the system that has allocated the vaccination identifier.","type":"string","example":"https://supplierABC/identifiers/vacc `or` https://supplierABC/ODSCode_NKO41/identifiers/vacc"},"value":{"description":"A unique identifier value within `system`. Ideally this would be a GUID / UUID.  \nThe value in combination with the system SHALL be globally unique.","type":"string","example":"e2154d29-1ead-4830-a513-0d59705078fa"}}}},"status":{"description":"Indicates the status of the immunization event.  \nOnly administered vaccination records SHALL be supported: status = completed.","type":"string","enum":["completed"],"example":"completed"},"vaccineCode":{"description":"Vaccine product administered.  \nWhere the vaccine product is known, the dm+d / SNOMED CT concept for the AMP form SHOULD be provided.  \nWhere a meaningful vaccine code cannot be provided, use one of the following NullFlavor codes,  \n    NAVU - `Not available`  \n    UNC - `Unencoded`  \n    UNK - `Unknown`  \n    NA - `Not Applicable`  \nFrom http://terminology.hl7.org/CodeSystem/v3-NullFlavor","type":"object","properties":{"coding":{"description":"Wrapper for the vaccine product details.","type":"array","items":{"type":"object","properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"SNOMED code for the vaccine product.","type":"string","example":"42605811000001109"},"display":{"description":"Description of the vaccine product.","type":"string","example":"Abrysvo vaccine powder and solvent for solution for injection 0.5ml vials (Pfizer Ltd)"}}}}}},"patient":{"description":"The patient who received the immunization.  \nWhen providing records of a vaccination event (create / update) and reading a record by its ID, this SHALL be a reference to a contained patient resource.","type":"object","required":["reference"],"properties":{"reference":{"description":"Reference of patient from contained section","type":"string","example":"#Pat1"}}},"occurrenceDateTime":{"description":"A dateTime format SHALL be provided. It SHOULD be to the level of precision as recorded within the source system, subject to the FHIR rules for dateTime.   Only positive timezone offsets of '+00:00' (GMT) and '+01:00' (BST) are allowed. Where time zone information is required but is not available in the source system the time zone element can be a hardcoded static value of `+00:00`.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"recorded":{"description":"The date the occurrence of the immunization was first captured in the record - potentially significantly after the occurrence of the event.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"primarySource":{"description":"Set as `TRUE` when the content of the record is based on information from the person performing the vaccine or who has clinical responsibility for the vaccination, and the system can be considered a primary source of the vaccination event.  \nSet as `FALSE` when the content of the record is NOT based on information from the person performing the vaccine or who has clinical responsibility for the vaccination and the system should not be treated as a primary source for this record.","type":"boolean","example":true},"location":{"type":"object","description":"The service delivery location where the vaccine administration occurred.","properties":{"identifier":{"type":"object","description":"An identifier for the service delivery location.","properties":{"system":{"description":"The system which defines the location. Typically this will be https://fhir.nhs.uk/Id/ods-organization-code for a health setting (ODS use) or https://fhir.hl7.org.uk/Id/urn-school-number for an education setting (URN use).","type":"string","example":"https://fhir.nhs.uk/Id/ods-organization-code"},"value":{"description":"The ODS or URN code of the location where the vaccination was administered. \n1. For occupational health vaccinations administered in a hospital trust by an independent healthcare provider, this SHALL be the ODS code of the hospital trust. \n2. For school vaccinations administered by a School Aged Immunisation Service provider, this SHALL be the URN of the school where the vaccination was administered. \n3. For roving teams on care home visits, this SHALL be the ODS code of the care home, where known. \n4. For any other vaccinations, populate with the same code as provided for `performer` ODS code.  \n\nWhere the ODS/URN code is unavailable, a default value of `X99999` MUST be used.","type":"string","example":"X99999"}},"required":["system","value"]}}},"manufacturer":{"description":"Manufacturer of vaccine product. This `SHOULD be populated` where the data is available.","type":"object","properties":{"display":{"description":"The free text name of the vaccine manufacturer. This `SHOULD be populated` where the data is available.","type":"string","example":"AstraZeneca Ltd"}}},"lotNumber":{"description":"Vaccine batch number. This should be captured at source ideally via use of automated scanning technology (GS1 GTIN / NTIN standard).  \nThis `SHOULD be populated` where the data is available.","type":"string","example":"4120Z001"},"expirationDate":{"description":"Manufacturer expiry date or defrost expiry date of the vaccine, whichever is earliest. This `SHOULD be populated` where the data is available.","type":"string","example":"2021-04-29"},"site":{"description":"Body site where vaccine was administered. This `SHOULD be populated` where the data is available.  \nA SNOMED-CT Concept ID value from UK published reference set Vaccine body site of administration simple reference set (1127941000000100) should be used.","type":"object","properties":{"coding":{"description":"Wrapper for the vaccination body site details.","type":"array","items":{"type":"object","properties":{"system":{"description":"Coding system used to describe vaccination body site.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the vaccination body site.","type":"string","example":"368208006"},"display":{"description":"Description of the vaccination body site.","type":"string","example":"Left upper arm structure (body structure)"}}}}}},"route":{"description":"The path by which the vaccine product is taken into the body. This `SHOULD be populated` where the data is available.  \nA SNOMED-CT concept ID value from UK âePrescribing route of administration simple reference set (foundation metadata concept)â (999000051000001100) should be used.","type":"object","properties":{"coding":{"description":"Wrapper for the vaccination route details.","type":"array","items":{"type":"object","properties":{"system":{"description":"Coding system used to describe vaccination route.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the vaccination route.","type":"string","example":"78421000"},"display":{"description":"Description of the vaccination route.","type":"string","example":"Intramuscular route (qualifier value)"}}}}}},"doseQuantity":{"description":"The quantity of vaccine product that was administered. This `SHOULD be populated` where the data is available.  \nA SNOMED-CT Concept ID value representing the unit of measure used SHOULD be provided.","type":"object","properties":{"value":{"description":"The actual value of the dose amount administered. This `SHOULD be populated` where the data is available.  \nFor Example,  \nComirnaty Â® (Pfizer BioNTech):  \n  Full Dose (Primary Course or booster) = 0.3  \n  Fractional Dose (Primary Course) = 0.1","type":"number","example":1},"unit":{"description":"A human-readable form of the unit. This `SHOULD be populated` where the data is available.","type":"string","example":"milliliter"},"system":{"description":"The code system from which the provided code is taken. This `SHOULD be populated` where the data is available.","type":"string","example":"http://unitsofmeasure.org"},"code":{"description":"The code for the unit of measure. SNOMED coded dose units are preferred. This `SHOULD be populated` where the data is available.","type":"string","example":"ml"}}},"performer":{"description":"Details of the organisation that performed the immunisation event.  \nThis covers: \n      The Commissioned Healthcare Provider who has administered the vaccination \n        The professional performing the vaccination  \nAt least one performer entry SHALL be provided which includes an actor with an identifier system and value.","type":"array","minItems":1,"items":{"type":"object","required":["actor"],"properties":{"actor":{"description":"When the actor represents the managing organisation for the vaccination this SHALL be populated with `Organization`","type":"object","properties":{"type":{"description":"The type of actor reference provided. This SHALL be populated with `Organization`.","type":"string","example":"Organisation"},"identifier":{"description":"When the actor represents the managing organisation for the vaccination this SHALL be populated and the guidance for sub-elements applied.","type":"object","required":["system","value"],"properties":{"system":{"description":"This SHALL be the system from which the supplied code is taken. The code SHOULD be an ODS code which comes from `https://fhir.nhs.uk/Id/ods-organization-code`.","type":"string","example":"https://fhir.nhs.uk/Id/ods-organization-code"},"value":{"description":"The ODS code for the Commissioned Healthcare Provider,  \n   For roving teams on home visits or care home visits, use the ODS code of the responsible site e.g. GP Practice or dedicated vaccination site  \n     For school vaccinations, use the ODS of code of the School Aged Immunisation Service provider, rather than the URN of the school  \nURN codes must not be provided for this data item.","type":"string","example":"B0C4P"}}},"reference":{"description":"Where practitioner details are being provided, this SHOULD be a reference to a contained practitioner resource. If the actor is the managing organisation, this SHOULD be absent.","type":"string","example":"#Pract1"}}}}}},"reasonCode":{"description":"A SNOMED-CT Concept representing the clinical indication or reason for administering or recording an historical vaccination.  \nThe primary reason for the vaccination SHOULD be either the only reason submitted or the first SNOMED CT coded reason.  \nThis `SHOULD be populated` where the data is available.","type":"array","items":{"type":"object","properties":{"coding":{"description":"Wrapper for the reason code details.","type":"array","minItems":1,"items":{"type":"object","properties":{"system":{"description":"Coding system used to describe the reason for administration of vaccine.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"SNOMED code for the vaccination reason.","type":"string","example":"443684005"},"display":{"description":"Description of the vaccination reason.","type":"string","example":"Disease outbreak (event)"}}}}}}},"protocolApplied":{"description":"The protocol (set of recommendations) being followed by the provider who administered the dose.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["targetDisease"],"oneOf":[{"required":["doseNumberPositiveInt"]},{"required":["doseNumberString"]}],"properties":{"targetDisease":{"type":"array","description":"The vaccine preventable disease the dose is being administered against.  \nThis SHALL be populated with the appropriate SNOMED CT concept. See the provided [code list](https://digital.nhs.uk/developer/guides-and-documentation/building-healthcare-software/vaccinations/coding-for-vaccination-disease-types#how-this-applies-to-vaccinations-submitted-to-the-api) for each supported type of vaccination. A valid code or code combination SHALL be provided.  \nFor vaccines which provide immunity for more than one target disease there SHALL be one instance of targetDisease for each and no more.","items":{"type":"object","required":["coding"],"properties":{"coding":{"type":"array","description":"A reference to a code defined by a terminology system.","items":{"type":"object","required":["system","code"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string"},"code":{"description":"A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system","type":"string"},"display":{"description":"A representation of the meaning of the code in the system, following the rules of the system.","type":"string"}}}}}}},"doseNumberPositiveInt":{"description":"Nominal position in a course of vaccines. This `SHOULD be populated` where the data is available.. Maximum value is 9.","type":"integer","maximum":9,"example":1},"doseNumberString":{"description":"Description of the dose sequence where it is not a numeric or a reason a dose number cannot be provided.  \nA string should only be used in cases where an integer is not available.","type":"string"}}}}}},"example":{"resourceType":"Immunization","contained":[{"resourceType":"Practitioner","id":"Pract1","name":[{"family":"Nightingale","given":["Florence"]}]},{"resourceType":"Patient","id":"Pat1","identifier":[{"system":"https://fhir.nhs.uk/Id/nhs-number","value":"9449310475"}],"name":[{"family":"Taylor","given":["Sarah"]}],"gender":"unknown","birthDate":"1965-02-28","address":[{"postalCode":"EC1A 1BB"}]}],"extension":[{"url":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure","valueCodeableConcept":{"coding":[{"system":"http://snomed.info/sct","code":"1324681000000101","display":"Administration of first dose of severe acute respiratory syndrome coronavirus 2 vaccine (procedure)"}]}}],"identifier":[{"system":"https://supplierABC/identifiers/vacc","value":"a7437179-e86e-4855-b68e-24b5jhg3g"}],"status":"completed","vaccineCode":{"coding":[{"system":"http://snomed.info/sct","code":"39114911000001105","display":"COVID-19 Vaccine Vaxzevria (ChAdOx1 S [recombinant]) not less than 2.5x100,000,000 infectious units/0.5ml dose suspension for injection multidose vials (AstraZeneca UK Ltd) (product)"}]},"patient":{"reference":"#Pat1"},"occurrenceDateTime":"2021-02-07T13:28:17.271+00:00","recorded":"2021-02-07T13:28:17.271+00:00","primarySource":true,"manufacturer":{"display":"AstraZeneca Ltd"},"location":{"identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"X99999"}},"lotNumber":"4120Z001","expirationDate":"2021-07-02","site":{"coding":[{"system":"http://snomed.info/sct","code":"368208006","display":"Left upper arm structure (body structure)"}]},"route":{"coding":[{"system":"http://snomed.info/sct","code":"78421000","display":"Intramuscular route (qualifier value)"}]},"doseQuantity":{"value":0.5,"unit":"milliliter","system":"http://unitsofmeasure.org","code":"ml"},"performer":[{"actor":{"reference":"#Pract1"}},{"actor":{"type":"Organization","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"B0C4P"}}}],"reasonCode":[{"coding":[{"code":"443684005","system":"http://snomed.info/sct"}]}],"protocolApplied":[{"targetDisease":[{"coding":[{"system":"http://snomed.info/sct","code":"840539006","display":"Disease caused by severe acute respiratory syndrome coronavirus 2 (disorder)"}]}],"doseNumberPositiveInt":1}]}}}},"responses":{"201":{"description":"Create Immunization operation successful","headers":{"Location":{"$ref":"#/components/headers/Location"},"CorrelationID":{"$ref":"#/components/headers/CorrelationID"},"RequestID":{"$ref":"#/components/headers/RequestID"}}},"500":{"$ref":"#/components/responses/500-all-endpoints"},"4XX":{"$ref":"#/components/responses/4XX-imms-create"}}},"get":{"summary":"Search for a patient's immunisation records (GET)","operationId":"searchImmunizationGet","description":"## Overview\nUse this interaction to search for a patient's vaccination records using their NHS number and either vaccination type (-immunization.target) or target disease (target-disease). You can request the patient's vaccination history for one or more disease types, or by SNOMED target disease code(s). You may limit the vaccination records by specifying date criteria, for example if you only need to know about vaccinations administered in the last 12 months. \n\nSensitivity indicators (such as flags for sensitive patient records) should be used to apply data filtering as appropriate.\n\nVaccination events submitted without an NHS Number will not be available for retrieval via this interaction. \n\nYou must be authorised for the search interaction and the disease type(s) specified in your search in order to access the records. \n## Sandbox testing\nYou can test the following scenarios in our sandbox environment:\n\n| Scenario                                | Request                                                                                                                                                         | Response                                                                |\n| ----------------------------------------| ----------------------------------------------------------------------------------------------------------------------------------------------------------------| ------------------------------------------------------------------------|\n|                                         |                                                                                                                                                                 |                                                                         |\n|  Immunisation history found             | `patient.identifier`=https://fhir.nhs.uk/Id/nhs-number&#124;9000000009                                                                                            | HTTP Status 200 with immunisation data in response body                 |\n|  Bad Request                            | Didn't pass required fields `patient.identifier`  or  `-immunization.target`  or  `target-disease`          | HTTP Status 400 Bad Request               |\n","parameters":[{"$ref":"#/components/parameters/CorrelationID"},{"$ref":"#/components/parameters/RequestID"},{"$ref":"#/components/parameters/PatientIdentifier"},{"$ref":"#/components/parameters/ImmunizationTarget"},{"$ref":"#/components/parameters/TargetDisease"},{"$ref":"#/components/parameters/DateFrom"},{"$ref":"#/components/parameters/DateTo"},{"$ref":"#/components/parameters/Include"}],"responses":{"200":{"$ref":"#/components/responses/200-imms-search"},"500":{"$ref":"#/components/responses/500-all-endpoints"},"4XX":{"$ref":"#/components/responses/4XX-imms-search"}}}},"/Immunization/_search":{"post":{"summary":"Search for a patient's immunisation records (POST)","operationId":"searchImmunizationPost","description":"## Overview\nA POST search interaction is supported in accordance with [FHIR guidance](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#fhir) as an alternative to a search with the GET verb. \n\nA POST search allows you to supply some or all parameters in the body of the request should you need to do so. It offers the same search functionality as the GET search interaction, including search by vaccination type (-immunization.target) or by target disease (target-disease). \n\n## Sandbox testing\nYou can test the following scenarios in our sandbox environment:\n\n| Scenario                                | Request                                                                                                                                                         | Response                                                                |\n| ----------------------------------------| ----------------------------------------------------------------------------------------------------------------------------------------------------------------| ------------------------------------------------------------------------|\n|                                         |                                                                                                                                                                 |                                                                         |\n|  Immunisation history found             | `patient.identifier`=https://fhir.nhs.uk/Id/nhs-number&#124;9000000009                                                                                            | HTTP Status 200 with immunisation data in response body                 |\n|  Bad Request                            | Didn't pass required fields `patient.identifier`  or  `-immunization.target`  or  `target-disease`          | HTTP Status 400 Bad Request               |\n","parameters":[{"$ref":"#/components/parameters/CorrelationID"},{"$ref":"#/components/parameters/RequestID"}],"requestBody":{"$ref":"#/components/requestBodies/SearchImmunizationPost"},"responses":{"200":{"$ref":"#/components/responses/200-imms-search"},"500":{"$ref":"#/components/responses/500-all-endpoints"},"4XX":{"$ref":"#/components/responses/4XX-imms-search"}}}},"/Immunization/{id}":{"get":{"summary":"Retrieve a record of an immunisation by its unique identifier","operationId":"readImmunization","description":"## Overview\nThis interaction allows you to retrieve the record of a single vaccination by our assigned id. We will return the full immunization resource as submitted. \n\nThe response will include an eTag for the version of the record which has been returned. If you intend to update a record, it is recommended that you use this interaction to obtain the latest version (and eTag for the version). \n\nTo retrieve a full vaccination history for a patient, see the search interaction. \n\nYou must be authorised for the read interaction and the disease type associated with the vaccination event in order to access the record. \n\n## Sandbox testing\nYou can test the following scenarios in our sandbox environment:\n\n| Scenario                                | Request                                                                                                                                                         | Response                                                                |\n| ----------------------------------------| ----------------------------------------------------------------------------------------------------------------------------------------------------------------| ------------------------------------------------------------------------|\n|                                         |                                                                                                                                                                 |                                                                         |\n|  Immunisation record found              | `id`=`12a33650-6f94-4e8f-a971-1c5c41da5b22`                                                                                            | HTTP Status 200 with immunisation data in response body                 |\n|  Bad Request                            | Didn't pass required fields `id`            | HTTP Status 400 Bad Request               |\n","parameters":[{"$ref":"#/components/parameters/CorrelationID"},{"$ref":"#/components/parameters/RequestID"},{"$ref":"#/components/parameters/Id"}],"responses":{"200":{"description":"Read Immunization operation successful","headers":{"CorrelationID":{"$ref":"#/components/headers/CorrelationID"},"RequestID":{"$ref":"#/components/headers/RequestID"},"E-Tag":{"$ref":"#/components/headers/E-Tag"}},"content":{"application/fhir+json":{"schema":{"description":"A matching immunisation, formatted as a FHIR Immunization resource.","type":"object","required":["resourceType","contained","extension","identifier","status","vaccineCode","patient","occurrenceDateTime","recorded","primarySource","location","performer","protocolApplied"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Immunization`.","type":"string","enum":["Immunization"]},"id":{"description":"Immunization record Id.","type":"string","example":"12a33650-6f94-4e8f-a971-1c5c41da5b22"},"meta":{"type":"object","properties":{"versionId":{"type":"string","pattern":"[A-Za-z0-9\\-\\.]{1,64}","description":"The version specific identifier, as it appears in the version portion of the URL. This value changes when the resource is created, updated, or deleted."},"lastUpdated":{"type":"string","pattern":"([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))","description":"When the resource last changed - e.g. when the version changed.","example":"2017-01-01T00:00:00Z"},"source":{"type":"string","description":"A uri that identifies the source system of the resource. This provides a minimal amount of [Provenance](provenance.html#) information that can be used to track or differentiate the source of information in the resource. The source may identify another FHIR server, document, message, database, etc."},"profile":{"type":"array","items":{"type":"string","pattern":"\\S*","description":"A list of profiles (references to [StructureDefinition](structuredefinition.html#) resources) that this resource claims to conform to. The URL is a reference to [StructureDefinition.url](structuredefinition-definitions.html#StructureDefinition.url)."}},"security":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}},"tag":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}}}},"contained":{"type":"array","description":"The schema for Practitioner & Patient are different. In response both Practitioner & Patient objects will be returned.","items":{"oneOf":[{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR resource type. Always `Practitioner`.","enum":["Practitioner"]},"id":{"type":"string","description":"Logical id of this artifact"},"name":{"type":"array","description":"The name(s) associated with the practitioner","items":{"type":"object","properties":{"family":{"type":"string","maxLength":35,"description":"Family name (often called 'Surname'). Maximum length 35 characters."},"given":{"type":"array","description":"Given names (not always 'first'). Maximum length 180 characters.","items":{"type":"string","maxLength":180}}},"required":["family","given"]}}},"required":["resourceType","id"]},{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR resource type. Always `Patient`.","enum":["Patient"]},"id":{"type":"string","description":"Logical id of this artifact","example":"#Pat1"},"identifier":{"type":"array","description":"An identifier for the patient","items":{"type":"object","properties":{"system":{"type":"string","description":"The namespace for the identifier value"},"value":{"type":"string","description":"The value that is unique.  \nThis SHALL be populated if `system` is https://fhir.nhs.uk/Id/nhs-number."}}}},"name":{"type":"array","description":"A name associated with the patient","items":{"type":"object","properties":{"family":{"type":"string","maxLength":35,"description":"Family name (often called 'Surname'). Maximum length 35 characters."},"given":{"type":"array","description":"Given names (not always 'first'). Maximum length 180 characters for batch.","items":{"type":"string","maxLength":180}}},"required":["family","given"]}},"gender":{"type":"string","description":"male | female | other | unknown"},"birthDate":{"type":"string","description":"The date of birth for the individual"},"address":{"type":"array","description":"An address for the individual","items":{"type":"object","properties":{"postalCode":{"type":"string","description":"Postal code for area"}},"required":["postalCode"]}}},"required":["resourceType","id","name","gender","address"]}]}},"extension":{"description":"FHIR extension wrapper for the vaccination procedure performed. Always contains exactly one object.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["url","valueCodeableConcept"],"properties":{"url":{"description":"URI for the type of extension - https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure","type":"string","example":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure"},"valueCodeableConcept":{"description":"Wrapper for the vaccination procedure coding.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccination procedure coding.","type":"array","items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"A particular code in the system.","type":"string","example":"1303503001"},"display":{"description":"Representation defined by the system.","type":"string","example":"Administration of RSV (respiratory syncytial virus) vaccine"}}}}}}}}},"identifier":{"description":"Unique identifier for this immunisation record, as generated by the source system.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","value"],"properties":{"use":{"description":"Identifier use as defined by https://www.hl7.org/fhir/valueset-identifier-use.html.","type":"string","enum":["usual","official","temp","secondary","old"],"example":"official"},"system":{"description":"URI of the namespace of this identifier.","type":"string","example":"https://supplierABC/identifiers/vacc"},"value":{"description":"Identifier value within `system`.","type":"string","example":"e2154d29-1ead-4830-a513-0d59705078fa"}}}},"status":{"description":"Status of the immunisation event. This is *not* an indication of patient immunity, only whether the immunisation was completed or not. Currently we only return details of completed immunisations.","type":"string","enum":["completed"],"example":"completed"},"vaccineCode":{"description":"Vaccine product administered.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccine product details.","type":"array","minItems":1,"items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"SNOMED code for the vaccine product.","type":"string","example":"42605811000001109"},"display":{"description":"Description of the vaccine product.","type":"string","example":"Abrysvo vaccine powder and solvent for solution for injection 0.5ml vials (Pfizer Ltd)"}}}}}},"patient":{"description":"The patient who was immunised.","type":"object","required":["reference"],"properties":{"reference":{"description":"Reference of patient from contained section","type":"string","example":"#Pat1"}}},"occurrenceDateTime":{"description":"Date and time of immunisation.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"recorded":{"description":"The date the occurrence of the immunization was first captured in the record - potentially significantly after the occurrence of the event.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"primarySource":{"description":"An indication that the content of the record is based on information from the person who administered the vaccine. This reflects the context under which the data was originally recorded.","type":"boolean","example":true},"location":{"type":"object","description":"The service delivery location where the vaccine administration occurred.","properties":{"identifier":{"type":"object","description":"An identifier for the service delivery location.","properties":{"system":{"description":"The system which defines the location. Typically this will be https://fhir.nhs.uk/Id/ods-organization-code for a health setting or https://fhir.hl7.org.uk/Id/urn-school-number for an education setting.","type":"string","example":"https://fhir.nhs.uk/Id/ods-organization-code"},"value":{"description":"A code from the system to represent the location. An ODS code of X99999 represents a location where a code is not available.","type":"string","example":"X99999"}},"required":["system","value"]}},"required":["identifier"]},"manufacturer":{"description":"Vaccine manufacturer details.","type":"object","properties":{"display":{"description":"Decsription of the vaccine manufacturer.","type":"string","example":"AstraZeneca Ltd"}}},"lotNumber":{"description":"Lot number of the vaccine product.","type":"string","example":"4120Z001"},"expirationDate":{"description":"Date vaccine batch expires.","type":"string","example":"2021-04-29"},"site":{"description":"Body site where vaccine was administered.","type":"object","properties":{"coding":{"description":"Wrapper for the vaccination body site details.","type":"array","minItems":1,"items":{"type":"object","properties":{"system":{"description":"Coding system used to describe vaccination body site.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the vaccination body site.","type":"string","example":"368208006"},"display":{"description":"Description of the vaccination body site.","type":"string","example":"Left upper arm structure (body structure)"}}}}},"required":["coding"]},"route":{"description":"The path by which the vaccine product is taken into the body.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccination route details.","type":"array","minItems":1,"items":{"type":"object","properties":{"system":{"description":"Coding system used to describe vaccination route.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the vaccination route.","type":"string","example":"78421000"},"display":{"description":"Description of the vaccination route.","type":"string","example":"Intramuscular route (qualifier value)"}}}}}},"doseQuantity":{"description":"The quantity of vaccine product that was administered.","type":"object","properties":{"value":{"description":"Number of units administered.","type":"number","example":1},"unit":{"description":"Description of unit.","type":"string","example":"milliliter"},"system":{"description":"System that defines coded unit form.","type":"string","example":"http://unitsofmeasure.org"},"code":{"description":"Code describing the unit.","type":"string","example":"ml"}}},"performer":{"description":"Details of the organisation that performed the immunisation.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["actor"],"properties":{"actor":{"description":"Organisation that performed the immunisation.","type":"object","required":["type","identifier"],"properties":{"type":{"description":"Type of actor. Always `Organisation`.","type":"string","example":"Organisation"},"identifier":{"description":"Organisation identifier.","type":"object","required":["system","value"],"properties":{"system":{"description":"Coding system used for the organisation identifier. Always `https://fhir.nhs.uk/Id/ods-organization-code`.","type":"string","example":"https://fhir.nhs.uk/Id/ods-organization-code"},"value":{"description":"Organisation's ODS code.","type":"string","example":"B0C4P"}}},"display":{"description":"Organisation that performed the immunisation.","type":"string","example":"UNIVERSITY HOSPITAL OF WALES"}}}}}},"reasonCode":{"description":"Reasons why the vaccine was administered.","type":"array","minItems":1,"items":{"type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the reason code details.","type":"array","minItems":1,"items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"Coding system used to describe the reason for administration of vaccine.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"SNOMED code for the vaccination reason.","type":"string","example":"443684005"},"display":{"description":"Description of the vaccination reason.","type":"string","example":"Disease outbreak (event)"}}}}}}},"protocolApplied":{"description":"The protocol (set of recommendations) being followed by the provider who administered the dose.","type":"array","minItems":1,"items":{"type":"object","required":["targetDisease"],"oneOf":[{"required":["doseNumberPositiveInt"]},{"required":["doseNumberString"]}],"properties":{"targetDisease":{"type":"array","description":"The vaccine preventable disease the dose is being administered against.","items":{"type":"object","properties":{"coding":{"type":"array","description":"A reference to a code defined by a terminology system.","items":{"type":"object","properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string"},"code":{"description":"A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system","type":"string"},"display":{"description":"A representation of the meaning of the code in the system, following the rules of the system.","type":"string"}},"required":["system","code","display"]}}},"required":["coding"]}},"doseNumberPositiveInt":{"description":"Nominal position in a course of vaccines. This `SHOULD be populated` where the data is available. Maximum value is 9.","type":"integer","maximum":9,"example":1},"doseNumberString":{"description":"Description of the dose sequence where it is not a numeric or a reason a dose number cannot be provided.  \nA string should only be used in cases where an integer is not available.","type":"string"}}}}}},"example":{"resourceType":"Immunization","id":"12a33650-6f94-4e8f-a971-1c5c41da5b22","contained":[{"resourceType":"Practitioner","id":"Pract1","name":[{"family":"Owl","given":["Barney"]}]},{"resourceType":"Patient","id":"Pat1","identifier":[{"system":"https://fhir.nhs.uk/Id/nhs-number","value":"9449310475"}],"name":[{"family":"Owler","given":["Ozzie"]}],"gender":"unknown","birthDate":"1965-02-28","address":[{"postalCode":"EC1A 1BB"}]}],"extension":[{"url":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure","valueCodeableConcept":{"coding":[{"system":"http://snomed.info/sct","code":"1303503001","display":"Administration of RSV (respiratory syncytial virus) vaccine"}]}}],"identifier":[{"use":"official","system":"https://supplierABC/identifiers/vacc","value":"e2154d29-1ead-4830-a513-0d59705078fa"}],"status":"completed","vaccineCode":{"coding":[{"system":"http://snomed.info/sct","code":"42605811000001109","display":"Abrysvo vaccine powder and solvent for solution for injection 0.5ml vials (Pfizer Ltd)"}]},"patient":{"reference":"#Pat1"},"occurrenceDateTime":"2021-02-07T13:28:17.271000+00:00","recorded":"2021-02-07T13:28:17.271000+00:00","primarySource":true,"location":{"identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"X99999"}},"manufacturer":{"display":"AstraZeneca Ltd"},"lotNumber":"4120Z001","expirationDate":"2021-07-02","site":{"coding":[{"system":"http://snomed.info/sct","code":"368208006","display":"Left upper arm structure (body structure)"}]},"route":{"coding":[{"system":"http://snomed.info/sct","code":"78421000","display":"Intramuscular route (qualifier value)"}]},"doseQuantity":{"value":0.5,"unit":"milliliter","system":"http://unitsofmeasure.org","code":"ml"},"performer":[{"actor":{"type":"Organization","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"B0C4P"}}}],"reasonCode":[{"coding":[{"system":"http://snomed.info/sct","code":"443684005","display":"Disease outbreak (event)"}]}],"protocolApplied":[{"targetDisease":[{"coding":[{"system":"http://snomed.info/sct","code":"55735004","display":"Respiratory syncytial virus infection (disorder)"}]}],"doseNumberPositiveInt":1}]}}}},"500":{"$ref":"#/components/responses/500-all-endpoints"},"4XX":{"$ref":"#/components/responses/4XX-imms-read"}}},"put":{"summary":"Update a record of vaccination","operationId":"updateImmunization","description":"## Overview\nThe Update Immunization endpoint allows you to update or reinstate a vaccination event.\n- You must provide the full FHIR immunization in the request body. (Patch is not currently supported, so it is not possible to just provide the updated fields.)\n- You may need to first retrieve the existing vaccination record using the GET endpoint, which will also return an E-Tag header for the resource version. When performing an update, the E-Tag header must match the current resource version for the resource you are updating.\n- The `id` and `identifier` in the request body and the `id` in the path parameters must match the existing record for an update to succeed.\n- You may also use this endpoint to reinstate a deleted record.\n- Finally, you must be authorised for the update interaction and the vaccination type of the existing record in order for the update to succeed.\n## Sandbox testing        \n\n| Scenario                                | Request                                                                                                                                                         | Response                                                                |\n| ----------------------------------------| ----------------------------------------------------------------------------------------------------------------------------------------------------------------| ------------------------------------------------------------------------|\n|                                         |                                                                                                                                                                 |                                                                         |\n|  Update a vaccination event            | Valid request as per schema                                                                                            | HTTP Status 200                        |\n|  Bad Request (missing/invalid required element in request body)      | Didn't pass `E-Tag`  in request header          |               HTTP Status   400 Bad Request               |\n","parameters":[{"$ref":"#/components/parameters/CorrelationID"},{"$ref":"#/components/parameters/RequestID"},{"$ref":"#/components/parameters/Id"},{"$ref":"#/components/parameters/E-Tag"}],"requestBody":{"content":{"application/fhir+json":{"schema":{"description":"A FHIR Immunization resource.","type":"object","required":["resourceType","id","contained","extension","identifier","status","vaccineCode","patient","occurrenceDateTime","recorded","primarySource","location","performer","protocolApplied"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Immunization`.","type":"string","enum":["Immunization"]},"id":{"description":"Immunization record Id.","type":"string","example":"12a33650-6f94-4e8f-a971-1c5c41da5b22"},"meta":{"type":"object","properties":{"versionId":{"type":"string","pattern":"[A-Za-z0-9\\-\\.]{1,64}","description":"The version specific identifier, as it appears in the version portion of the URL. This value changes when the resource is created, updated, or deleted."},"lastUpdated":{"type":"string","pattern":"([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))","description":"When the resource last changed - e.g. when the version changed.","example":"2017-01-01T00:00:00Z"},"source":{"type":"string","description":"A uri that identifies the source system of the resource. This provides a minimal amount of [Provenance](provenance.html#) information that can be used to track or differentiate the source of information in the resource. The source may identify another FHIR server, document, message, database, etc."},"profile":{"type":"array","items":{"type":"string","pattern":"\\S*","description":"A list of profiles (references to [StructureDefinition](structuredefinition.html#) resources) that this resource claims to conform to. The URL is a reference to [StructureDefinition.url](structuredefinition-definitions.html#StructureDefinition.url)."}},"security":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}},"tag":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}}}},"contained":{"type":"array","description":"Includes any relevant resources as defined within this specification and referenced from within the resource. A patient resource SHALL be included.  \nThe schema for Practitioner & Patient are different.","minItems":1,"items":{"oneOf":[{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR resource type. Always `Practitioner`.","enum":["Practitioner"]},"id":{"type":"string","description":"Logical id of this artifact"},"name":{"type":"array","description":"The name(s) associated with the practitioner","items":{"type":"object","properties":{"family":{"type":"string","maxLength":35,"description":"Family name (often called 'Surname'). Maximum length 35 characters."},"given":{"type":"array","description":"Given names (not always 'first'). Maximum length 180 characters.","items":{"type":"string","maxLength":180}}}}}},"required":["resourceType","id"]},{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR resource type. Always `Patient`.","enum":["Patient"]},"id":{"type":"string","description":"Logical id of this artifact","example":"#Pat1"},"identifier":{"type":"array","description":"An identifier for the patient","items":{"type":"object","properties":{"system":{"type":"string","description":"The namespace for the identifier value"},"value":{"type":"string","description":"The value that is unique.  \nThis SHALL be populated if `system` is https://fhir.nhs.uk/Id/nhs-number."}}}},"name":{"type":"array","description":"Patient name as registered, or as recorded by the user where the patient record cannot be traced. \nThere SHOULD be only one instance of name. If more than one name instance is provided additional elements SHOULD be populated only so the current, official name can be determined or otherwise the current, official name SHALL be the first name instance. There SHALL be at least one name instance with both family and given elements populated.","items":{"type":"object","properties":{"family":{"type":"string","maxLength":35,"description":"Family name (often called 'Surname'). Maximum length 35 characters."},"given":{"type":"array","description":"Patient Forename. Middle names are not to be included within this field.  \nThere SHOULD only be one given name supplied in this element. Maximum length 180 characters.","items":{"type":"string","maxLength":180}}},"required":["family","given"]}},"gender":{"type":"string","description":"male | female | other | unknown"},"birthDate":{"type":"string","description":"The date of birth for the individual"},"address":{"type":"array","description":"There SHOULD be only one instance of address with only the postalCode element populated. If more than one address instance is provided the additional elements SHOULD be populated only so the current, home post code can be determined or otherwise the current, home post code SHALL be the first address instance.","items":{"type":"object","properties":{"postalCode":{"type":"string","description":"Patient residential/home postcode. Value should be divided into two parts separated by a single space, e.g. EC1A 1BB  \nAs well as actual post codes, the following SHOULD be used in other scenarios.  \n    *ZZ99 3VZ No Fixed Abode  \n   *ZZ99 3WZ Address Not Known  \n    *ZZ99 3CZ (England/UK) Address not otherwise specified  \nThe full list is available here: https://www.england.nhs.uk/wp-content/uploads/2020/04/cam-2021-guidance-v2.1.pdf"}},"required":["postalCode"]}}},"required":["resourceType","id","name","gender","birthDate","address"]}]}},"extension":{"description":"FHIR extension wrapper for the vaccination procedure performed. Always contains exactly one object.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["url","valueCodeableConcept"],"properties":{"url":{"description":"URI for the type of extension - https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure","type":"string","example":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure"},"valueCodeableConcept":{"description":"This SHALL be populated with the appropriate SNOMED CT code (identified by system=http://snomed.info/sct).  \nThis relates to the vaccine that was administered, typically in the form of a procedure code. The UK Core IG provides guidance on codes for this extension, but the provider SHALL ensure the appropriate code and term is provided.  \nAdditional coding MAY be included provided it is semantically equivalent to the SNOMED concept.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccination procedure coding.","type":"array","items":{"type":"object","required":["system","code"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"A particular code in the system.","type":"string","example":"1303503001"},"display":{"description":"Representation defined by the system.","type":"string","example":"Administration of RSV (respiratory syncytial virus) vaccine"}}}},"text":{"description":"Plain text representation of the concept.","type":"string"}}}}}},"identifier":{"description":"A unique identifier assigned to this immunization record. Only one identifier SHALL be provided.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","value"],"properties":{"use":{"description":"Identifier use as defined by https://www.hl7.org/fhir/valueset-identifier-use.html.","type":"string","enum":["usual","official","temp","secondary","old"],"example":"official"},"system":{"description":"A URI for the system that has allocated the vaccination identifier.","type":"string","example":"https://supplierABC/identifiers/vacc `or` https://supplierABC/ODSCode_NKO41/identifiers/vacc"},"value":{"description":"A unique identifier value within `system`. Ideally this would be a GUID / UUID.  \nThe value in combination with the system SHALL be globally unique.","type":"string","example":"e2154d29-1ead-4830-a513-0d59705078fa"}}}},"status":{"description":"Indicates the status of the immunization event.  \nOnly administered vaccination records SHALL be supported: status = completed.","type":"string","enum":["completed"],"example":"completed"},"vaccineCode":{"description":"Vaccine product administered.  \nWhere the vaccine product is known, the dm+d / SNOMED CT concept for the AMP form SHOULD be provided.  \nWhere a meaningful vaccine code cannot be provided, use one of the following NullFlavor codes,  \n    NAVU - `Not available`  \n    UNC - `Unencoded`  \n    UNK - `Unknown`  \n    NA - `Not Applicable`  \nFrom http://terminology.hl7.org/CodeSystem/v3-NullFlavor","type":"object","properties":{"coding":{"description":"Wrapper for the vaccine product details.","type":"array","items":{"type":"object","properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"SNOMED code for the vaccine product.","type":"string","example":"42605811000001109"},"display":{"description":"Description of the vaccine product.","type":"string","example":"Abrysvo vaccine powder and solvent for solution for injection 0.5ml vials (Pfizer Ltd)"}}}}}},"patient":{"description":"The patient who received the immunization.  \nWhen providing records of a vaccination event (create / update) and reading a record by its ID, this SHALL be a reference to a contained patient resource.","type":"object","required":["reference"],"properties":{"reference":{"description":"Reference of patient from contained section","type":"string","example":"#Pat1"}}},"occurrenceDateTime":{"description":"A dateTime format SHALL be provided. It SHOULD be to the level of precision as recorded within the source system, subject to the FHIR rules for dateTime.   Only positive timezone offsets of '+00:00' (GMT) and '+01:00' (BST) are allowed. Where time zone information is required but is not available in the source system the time zone element can be a hardcoded static value of `+00:00`.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"recorded":{"description":"The date the occurrence of the immunization was first captured in the record - potentially significantly after the occurrence of the event.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"primarySource":{"description":"Set as `TRUE` when the content of the record is based on information from the person performing the vaccine or who has clinical responsibility for the vaccination, and the system can be considered a primary source of the vaccination event.  \nSet as `FALSE` when the content of the record is NOT based on information from the person performing the vaccine or who has clinical responsibility for the vaccination and the system should not be treated as a primary source for this record.","type":"boolean","example":true},"location":{"type":"object","description":"The service delivery location where the vaccine administration occurred.","properties":{"identifier":{"type":"object","description":"An identifier for the service delivery location.","properties":{"system":{"description":"The system which defines the location. Typically this will be https://fhir.nhs.uk/Id/ods-organization-code for a health setting (ODS use) or https://fhir.hl7.org.uk/Id/urn-school-number for an education setting (URN use).","type":"string","example":"urn:iso:std:iso:3166"},"value":{"description":"The ODS or URN code of the location where the vaccination was administered. \n1. For occupational health vaccinations administered in a hospital trust by an independent healthcare provider, this SHALL be the ODS code of the hospital trust. \n2. For school vaccinations administered by a School Aged Immunisation Service provider, this SHALL be the URN of the school where the vaccination was administered. \n3. For roving teams on care home visits, this SHALL be the ODS code of the care home, where known. \n4. For any other vaccinations, populate with the same code as provided for `performer` ODS code.  \n\nWhere the ODS/URN code is unavailable, a default value of `X99999` MUST be used.","type":"string","example":"GB"}},"required":["system","value"]}}},"manufacturer":{"description":"Manufacturer of vaccine product. This `SHOULD be populated` where the data is available.","type":"object","properties":{"display":{"description":"The free text name of the vaccine manufacturer. This `SHOULD be populated` where the data is available.","type":"string","example":"AstraZeneca Ltd"}}},"lotNumber":{"description":"Vaccine batch number. This should be captured at source ideally via use of automated scanning technology (GS1 GTIN / NTIN standard).  \nThis `SHOULD be populated` where the data is available.","type":"string","example":"4120Z001"},"expirationDate":{"description":"Manufacturer expiry date or defrost expiry date of the vaccine, whichever is earliest. This `SHOULD be populated` where the data is available.","type":"string","example":"2021-04-29"},"site":{"description":"Body site where vaccine was administered. This `SHOULD be populated` where the data is available.  \nA SNOMED-CT Concept ID value from UK published reference set Vaccine body site of administration simple reference set (1127941000000100) should be used.","type":"object","properties":{"coding":{"description":"Wrapper for the vaccination body site details.","type":"array","items":{"type":"object","properties":{"system":{"description":"Coding system used to describe vaccination body site.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the vaccination body site.","type":"string","example":"368208006"},"display":{"description":"Description of the vaccination body site.","type":"string","example":"Left upper arm structure (body structure)"}}}}}},"route":{"description":"The path by which the vaccine product is taken into the body. This `SHOULD be populated` where the data is available.  \nA SNOMED-CT concept ID value from UK âePrescribing route of administration simple reference set (foundation metadata concept)â (999000051000001100) should be used.","type":"object","properties":{"coding":{"description":"Wrapper for the vaccination route details.","type":"array","items":{"type":"object","properties":{"system":{"description":"Coding system used to describe vaccination route.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the vaccination route.","type":"string","example":"78421000"},"display":{"description":"Description of the vaccination route.","type":"string","example":"Intramuscular route (qualifier value)"}}}}}},"doseQuantity":{"description":"The quantity of vaccine product that was administered. This `SHOULD be populated` where the data is available.  \nA SNOMED-CT Concept ID value representing the unit of measure used SHOULD be provided.","type":"object","properties":{"value":{"description":"The actual value of the dose amount administered. This `SHOULD be populated` where the data is available.  \nFor Example,  \nComirnaty Â® (Pfizer BioNTech):  \n  Full Dose (Primary Course or booster) = 0.3  \n  Fractional Dose (Primary Course) = 0.1","type":"number","example":1},"unit":{"description":"A human-readable form of the unit. This `SHOULD be populated` where the data is available.","type":"string","example":"milliliter"},"system":{"description":"The code system from which the provided code is taken. This `SHOULD be populated` where the data is available.","type":"string","example":"http://unitsofmeasure.org"},"code":{"description":"The code for the unit of measure. SNOMED coded dose units are preferred. This `SHOULD be populated` where the data is available.","type":"string","example":"ml"}}},"performer":{"description":"Details of the organisation that performed the immunisation event.  \nThis covers: \n      The Commissioned Healthcare Provider who has administered the vaccination \n        The professional performing the vaccination  \nAt least one performer entry SHALL be provided which includes an actor with an identifier system and value.","type":"array","minItems":1,"items":{"type":"object","required":["actor"],"properties":{"actor":{"description":"When the actor represents the managing organisation for the vaccination this SHALL be populated with `Organization`","type":"object","properties":{"type":{"description":"The type of actor reference provided. This SHALL be populated with `Organization`.","type":"string","example":"Organisation"},"identifier":{"description":"When the actor represents the managing organisation for the vaccination this SHALL be populated and the guidance for sub-elements applied.","type":"object","required":["system","value"],"properties":{"system":{"description":"This SHALL be the system from which the supplied code is taken. The code SHOULD be an ODS code which comes from `https://fhir.nhs.uk/Id/ods-organization-code`.","type":"string","example":"https://fhir.nhs.uk/Id/ods-organization-code"},"value":{"description":"The ODS code for the Commissioned Healthcare Provider,  \n   For roving teams on home visits or care home visits, use the ODS code of the responsible site e.g. GP Practice or dedicated vaccination site  \n     For school vaccinations, use the ODS of code of the School Aged Immunisation Service provider, rather than the URN of the school  \nURN codes must not be provided for this data item.","type":"string","example":"B0C4P"}}},"reference":{"description":"Where practitioner details are being provided, this SHOULD be a reference to a contained practitioner resource. If the actor is the managing organisation, this SHOULD be absent.","type":"string","example":"#Pract1"}}}}}},"reasonCode":{"description":"A SNOMED-CT Concept representing the clinical indication or reason for administering or recording an historical vaccination.  \nThe primary reason for the vaccination SHOULD be either the only reason submitted or the first SNOMED CT coded reason.  \nThis `SHOULD be populated` where the data is available.","type":"array","items":{"type":"object","properties":{"coding":{"description":"Wrapper for the reason code details.","type":"array","minItems":1,"items":{"type":"object","properties":{"system":{"description":"Coding system used to describe the reason for administration of vaccine.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"SNOMED code for the vaccination reason.","type":"string","example":"443684005"},"display":{"description":"Description of the vaccination reason.","type":"string","example":"Disease outbreak (event)"}}}}}}},"protocolApplied":{"description":"The protocol (set of recommendations) being followed by the provider who administered the dose.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["targetDisease"],"oneOf":[{"required":["doseNumberPositiveInt"]},{"required":["doseNumberString"]}],"properties":{"targetDisease":{"type":"array","description":"The vaccine preventable disease the dose is being administered against.  \nThis SHALL be populated with the appropriate SNOMED CT concept. See the provided [code list](https://digital.nhs.uk/developer/guides-and-documentation/building-healthcare-software/vaccinations/coding-for-vaccination-disease-types#how-this-applies-to-vaccinations-submitted-to-the-api) for each supported type of vaccination. A valid code or code combination SHALL be provided.  \nFor vaccines which provide immunity for more than one target disease there SHALL be one instance of targetDisease for each and no more.","items":{"type":"object","required":["coding"],"properties":{"coding":{"type":"array","description":"A reference to a code defined by a terminology system.","items":{"type":"object","required":["system","code"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string"},"code":{"description":"A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system","type":"string"},"display":{"description":"A representation of the meaning of the code in the system, following the rules of the system.","type":"string"}}}}}}},"doseNumberPositiveInt":{"description":"Nominal position in a course of vaccines. This `SHOULD be populated` where the data is available. Maximum value is 9.","type":"integer","maximum":9,"example":1},"doseNumberString":{"description":"Description of the dose sequence where it is not a numeric or a reason a dose number cannot be provided.  \nA string should only be used in cases where an integer is not available.","type":"string"}}}}}},"example":{"resourceType":"Immunization","id":"4ff607e0-c6e9-4fe0-a2b6-3bcd7fdc44c9","contained":[{"resourceType":"Practitioner","id":"Pract1","name":[{"family":"Nightingale","given":["Florence"]}]},{"resourceType":"Patient","id":"Pat1","identifier":[{"system":"https://fhir.nhs.uk/Id/nhs-number","value":"9449310475"}],"name":[{"family":"Taylor","given":["Sarah"]}],"gender":"unknown","birthDate":"1965-02-28","address":[{"postalCode":"EC1A 1BB"}]}],"extension":[{"url":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure","valueCodeableConcept":{"coding":[{"system":"http://snomed.info/sct","code":"1324681000000101","display":"Administration of first dose of severe acute respiratory syndrome coronavirus 2 vaccine (procedure)"}]}}],"identifier":[{"system":"https://supplierABC/identifiers/vacc","value":"a7437179-e86e-4855-b68e-24b5jhg3g"}],"status":"completed","vaccineCode":{"coding":[{"system":"http://snomed.info/sct","code":"39114911000001105","display":"COVID-19 Vaccine Vaxzevria (ChAdOx1 S [recombinant]) not less than 2.5x100,000,000 infectious units/0.5ml dose suspension for injection multidose vials (AstraZeneca UK Ltd) (product)"}]},"patient":{"reference":"#Pat1"},"occurrenceDateTime":"2021-02-07T13:28:17.271+00:00","recorded":"2021-02-07T13:28:17.271+00:00","primarySource":true,"manufacturer":{"display":"AstraZeneca Ltd"},"location":{"identifier":{"value":"X99999","system":"https://fhir.nhs.uk/Id/ods-organization-code"}},"lotNumber":"4120Z001","expirationDate":"2021-07-02","site":{"coding":[{"system":"http://snomed.info/sct","code":"368208006","display":"Left upper arm structure (body structure)"}]},"route":{"coding":[{"system":"http://snomed.info/sct","code":"78421000","display":"Intramuscular route (qualifier value)"}]},"doseQuantity":{"value":0.5,"unit":"milliliter","system":"http://unitsofmeasure.org","code":"ml"},"performer":[{"actor":{"reference":"#Pract1"}},{"actor":{"type":"Organization","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"B0C4P"}}}],"reasonCode":[{"coding":[{"code":"443684005","system":"http://snomed.info/sct"}]}],"protocolApplied":[{"targetDisease":[{"coding":[{"system":"http://snomed.info/sct","code":"840539006","display":"Disease caused by severe acute respiratory syndrome coronavirus 2 (disorder)"}]}],"doseNumberPositiveInt":1}]}}}},"responses":{"200":{"description":"Update Immunization operation successful","headers":{"CorrelationID":{"$ref":"#/components/headers/CorrelationID"},"RequestID":{"$ref":"#/components/headers/RequestID"}}},"500":{"$ref":"#/components/responses/500-all-endpoints"},"4XX":{"$ref":"#/components/responses/4XX-imms-update"}}},"delete":{"summary":"Mark a record of vaccination as being entered in error","operationId":"deleteImmunization","description":"## Overview\nThis interaction allows you to mark a record that has been entered in error.\n\nDeleted records will continue to be stored for a period of time but are not returned in response to read or search requests.\n\nA deleted record can be re-instated using the update interaction if it was incorrectly deleted. \n\n## Sandbox testing\n\n| Scenario                                | Request                                                                                                                                                         | Response                                                                |\n| ----------------------------------------| ----------------------------------------------------------------------------------------------------------------------------------------------------------------| ------------------------------------------------------------------------|\n|                                         |                                                                                                                                                                 |                                                                         |\n|  Delete a vaccination event            | `id`=`12a33650-6f94-4e8f-a971-1c5c41da5b22`                                                                                            | HTTP Status 204  No Content                      |\n|  Bad Request                            | Didn't pass required fields `id`            | HTTP Status 400 Bad Request               |\n","parameters":[{"$ref":"#/components/parameters/CorrelationID"},{"$ref":"#/components/parameters/RequestID"},{"$ref":"#/components/parameters/Id"}],"responses":{"204":{"description":"Delete Immunization operation successful"},"500":{"$ref":"#/components/responses/500-all-endpoints"},"4XX":{"$ref":"#/components/responses/4XX-imms-delete"}}}}},"components":{"responses":{"200-imms-search":{"description":"Search immunisation operation successful","content":{"application/fhir+json":{"schema":{"description":"FHIR Bundle containing the query results - a list of matching immunisations and associated patients.","type":"object","required":["resourceType","type","total","entry"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Bundle`.","type":"string","example":"Bundle"},"type":{"description":"Indicates how the bundle is intended to be used. Always `searchset`.","type":"string","example":"searchset"},"link":{"type":"array","items":{"type":"object","properties":{"relation":{"description":"A name which details the functional use for this link - see [http://www.iana.org/assignments/link-relations/link-relations.xhtml#link-relations-1](http://www.iana.org/assignments/link-relations/link-relations.xhtml#link-relations-1). Always `Self`.","type":"string"},"url":{"description":"A url representing the search applied by the API to generate the result which may differ from the request if unrecognised or unsupported parameters have been ignored.","type":"string"}},"required":["relation","url"]}},"entry":{"description":"List of matching immunisations and associated patient. If there were no matching immunisations, this is an empty list.","type":"array","items":{"type":"object","required":["fullUrl","resource","search"],"properties":{"fullUrl":{"description":"URI for the Immunization or Patient resource.","type":"string","example":"https://sandbox.api.service.nhs.uk/immunisation-fhir-api/Immunization/191f288a-17f3-4cd5-a33c-a52aade6473c"},"resource":{"description":"The Immunization or Patient resource.","oneOf":[{"description":"A matching immunisation, formatted as a FHIR Immunization resource.","type":"object","required":["resourceType","extension","identifier","status","vaccineCode","patient","occurrenceDateTime","recorded","primarySource","location","performer","protocolApplied"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Immunization`.","type":"string","enum":["Immunization"]},"id":{"description":"Immunization record Id.","type":"string","example":"191f288a-17f3-4cd5-a33c-a52aade6473c"},"meta":{"type":"object","properties":{"versionId":{"type":"string","pattern":"[A-Za-z0-9\\-\\.]{1,64}","description":"The version specific identifier, as it appears in the version portion of the URL. This value changes when the resource is created, updated, or deleted."},"lastUpdated":{"type":"string","pattern":"([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))","description":"When the resource last changed - e.g. when the version changed.","example":"2017-01-01T00:00:00Z"},"source":{"type":"string","description":"Identifies where the resource comes from."},"profile":{"type":"array","items":{"type":"string","pattern":"\\S*","description":"A list of profiles (references to [StructureDefinition](structuredefinition.html#) resources) that this resource claims to conform to. The URL is a reference to [StructureDefinition.url](structuredefinition-definitions.html#StructureDefinition.url)."}},"security":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}},"tag":{"type":"array","items":{"$ref":"#/components/schemas/Coding"}}},"required":["versionId"]},"extension":{"description":"FHIR extension wrapper for the vaccination procedure performed. Always contains exactly one object.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["url","valueCodeableConcept"],"properties":{"url":{"description":"URI for the type of extension - https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure","type":"string","example":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-VaccinationProcedure"},"valueCodeableConcept":{"description":"Wrapper for the vaccination procedure coding.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccination procedure coding.","type":"array","items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"A particular code in the system.","type":"string","example":"1303503001"},"display":{"description":"Representation defined by the system.","type":"string","example":"Administration of RSV (respiratory syncytial virus) vaccine"}}}}}}}}},"identifier":{"description":"Unique identifier for this immunisation record, as generated by the source system.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","value"],"properties":{"use":{"description":"Identifier use as defined by https://www.hl7.org/fhir/valueset-identifier-use.html.","type":"string","enum":["usual","official","temp","secondary","old"],"example":"official"},"system":{"description":"URI of the namespace of this identifier.","type":"string","example":"https://supplierABC/identifiers/vacc"},"value":{"description":"Identifier value within `system`.","type":"string","example":"e2154d29-1ead-4830-a513-0d59705078fa"}}}},"status":{"description":"Status of the immunisation event. This is *not* an indication of patient immunity, only whether the immunisation was completed or not. Currently we only return details of completed immunisations.","type":"string","enum":["completed"],"example":"completed"},"vaccineCode":{"description":"Vaccine product administered.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccine product details.","type":"array","minItems":1,"items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"The identification of the code system that defines the meaning of the symbol in the code.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"SNOMED code for the vaccine product.","type":"string","example":"42605811000001109"},"display":{"description":"Description of the vaccine product.","type":"string","example":"Abrysvo vaccine powder and solvent for solution for injection 0.5ml vials (Pfizer Ltd)"}}}}}},"patient":{"description":"The patient who was immunised.","type":"object","required":["reference","type","identifier"],"properties":{"reference":{"description":"URI for the associated Patient resource in the bundle.","type":"string","example":"urn:uuid:a7a5bc28-5831-4158-8a73-0d3e6e43c1ac"},"type":{"description":"Type of resource this reference refers to. Always `Patient`.","type":"string","example":"Patient"},"identifier":{"description":"Business identifier for linked Patient. Always an NHS number.","type":"object","required":["system","value"],"properties":{"system":{"description":"URI of coding system used to identify linked patient. Always https://fhir.nhs.uk/Id/nhs-number","type":"string","example":"https://fhir.nhs.uk/Id/nhs-number"},"value":{"description":"Value in coding system representing linked patient.","type":"string","example":"9000000009"}}}}},"occurrenceDateTime":{"description":"Date and time of immunisation.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"recorded":{"description":"The date the occurrence of the immunization was first captured in the record - potentially significantly after the occurrence of the event.","type":"string","example":"2021-02-07T13:28:17.271000+00:00"},"primarySource":{"description":"An indication that the content of the record is based on information from the person who administered the vaccine. This reflects the context under which the data was originally recorded.","type":"boolean","example":true},"location":{"type":"object","description":"The service delivery location where the vaccine administration occurred.","properties":{"identifier":{"type":"object","description":"An identifier for the service delivery location.","properties":{"system":{"description":"The system which defines the location. Typically this will be https://fhir.nhs.uk/Id/ods-organization-code for a health setting or https://fhir.hl7.org.uk/Id/urn-school-number for an education setting.","type":"string","example":"https://fhir.nhs.uk/Id/ods-organization-code"},"value":{"description":"A code from the system to represent the location. An ODS code of X99999 represents a location where a code is not available.","type":"string","example":"X99999"}},"required":["system","value"]}},"required":["identifier"]},"manufacturer":{"description":"Vaccine manufacturer details.","type":"object","properties":{"display":{"description":"Decsription of the vaccine manufacturer.","type":"string","example":"AstraZeneca Ltd"}}},"lotNumber":{"description":"Lot number of the vaccine product.","type":"string","example":"4120Z001"},"expirationDate":{"description":"Date vaccine batch expires.","type":"string","example":"2021-04-29"},"site":{"description":"Body site where vaccine was administered.","type":"object","properties":{"coding":{"description":"Wrapper for the vaccination body site details.","type":"array","minItems":1,"items":{"type":"object","properties":{"system":{"description":"Coding system used to describe vaccination body site.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the vaccination body site.","type":"string","example":"368208006"},"display":{"description":"Description of the vaccination body site.","type":"string","example":"Left upper arm structure (body structure)"}}}}},"required":["coding"]},"route":{"description":"The path by which the vaccine product is taken into the body.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the vaccination route details.","type":"array","minItems":1,"items":{"type":"object","properties":{
[...]
